PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Functions
PDL API Reference » SysPm (System Power Management) » PPU (Power Policy Unit)

## General Description

## Functions
cy_en_syspm_status_t | cy_pd_ppu_init (struct ppu_v1_reg *ppu)
| Initializes the PD PPU Driver. More...
enum ppu_v1_mode | cy_pd_ppu_get_power_mode (struct ppu_v1_reg *ppu)
| Gets the current power mode of the particular PPU. More...
enum ppu_v1_mode | cy_pd_ppu_get_programmed_power_mode (struct ppu_v1_reg *ppu)
| Gets the programmed power mode of the particular PPU. More...
cy_en_syspm_status_t | cy_pd_ppu_set_power_mode (struct ppu_v1_reg *ppu, uint32_t mode)
| Sets the required power mode of the particular PPU. More...
cy_en_syspm_status_t | cy_pd_ppu_set_static_power_mode (struct ppu_v1_reg *ppu, uint32_t mode)
| Sets the required static power mode of the particular PPU. More...
cy_en_syspm_status_t | cy_pd_ppu_reset (struct ppu_v1_reg *ppu)
| Resets the PD using PPU. More...
cy_pd_ppu_device_status_t | cy_pd_ppu_get_ds_fail_device (struct ppu_v1_reg *ppu)
| Gets the PPU's device ID(s) which caused the Deepsleep Failure. More...
void | cy_pd_ppu_enable_dynamic_mode (struct ppu_v1_reg *ppu, bool enable)
| Enables/Disable Dynamic Mode of particular PPU. More...

## Function Documentation

## ◆ cy_pd_ppu_init()

cy_en_syspm_status_t cy_pd_ppu_init | ( | struct ppu_v1_reg * | ppu | ) |

Initializes the PD PPU Driver.

Parameters

  ppu | This parameter contains PPU base pointer for which the initialization has to be done.

Returns
  the PD PPU API status cy_en_syspm_status_t.

## ◆ cy_pd_ppu_get_power_mode()

enum ppu_v1_mode cy_pd_ppu_get_power_mode | ( | struct ppu_v1_reg * | ppu | ) |

Gets the current power mode of the particular PPU.

Parameters

  ppu | This parameter contains PPU base pointer for which the initialization has to be done.

Returns
  Returns the PPU Current Power mode

## ◆ cy_pd_ppu_get_programmed_power_mode()

enum ppu_v1_mode cy_pd_ppu_get_programmed_power_mode | ( | struct ppu_v1_reg * | ppu | ) |

Gets the programmed power mode of the particular PPU.

Parameters

  ppu | This parameter contains PPU base pointer for which the initialization has to be done.

Returns
  Returns the PPU Programmed Power mode

## ◆ cy_pd_ppu_set_power_mode()

cy_en_syspm_status_t cy_pd_ppu_set_power_mode | ( | struct ppu_v1_reg * | ppu,
|  | uint32_t | mode
| ) |  |

Sets the required power mode of the particular PPU.

Parameters

  ppu | This parameter contains PPU base pointer for which the initialization has to be done.
  mode | Contains the future power mode to be set for the PPU.

Returns
  the PD PPU API status cy_en_syspm_status_t.

## ◆ cy_pd_ppu_set_static_power_mode()

cy_en_syspm_status_t cy_pd_ppu_set_static_power_mode | ( | struct ppu_v1_reg * | ppu,
|  | uint32_t | mode
| ) |  |

Sets the required static power mode of the particular PPU.

Parameters

  ppu | This parameter contains PPU base pointer for which the initialization has to be done.
  mode | Contains the future power mode to be set for the PPU.

Returns
  the PD PPU API status cy_en_syspm_status_t.

## ◆ cy_pd_ppu_reset()

cy_en_syspm_status_t cy_pd_ppu_reset | ( | struct ppu_v1_reg * | ppu | ) |

Resets the PD using PPU.

Parameters

  ppu | This parameter contains PPU base pointer for which the initialization has to be done.

Returns
  the PD PPU API status cy_en_syspm_status_t.

## ◆ cy_pd_ppu_get_ds_fail_device()

cy_pd_ppu_device_status_t cy_pd_ppu_get_ds_fail_device | ( | struct ppu_v1_reg * | ppu | ) |

Gets the PPU's device ID(s) which caused the Deepsleep Failure.

Parameters

  ppu | This parameter contains PPU base pointer for which the initialization has to be done.

Returns
  Returns the PPU's device ID which caused the Deepsleep Failure

## ◆ cy_pd_ppu_enable_dynamic_mode()

void cy_pd_ppu_enable_dynamic_mode | ( | struct ppu_v1_reg * | ppu,
|  | bool | enable
| ) |  |

Enables/Disable Dynamic Mode of particular PPU.

Parameters

  ppu | This parameter contains PPU base pointer for which the initialization has to be done.
  enable | true - Enables the Dynamic mode for the PD. false - Disables the Dynamic mode for the PD.